io.vertx.rxjava.ext.asyncsql

## Class PostgreSQLClient

- java.lang.Object
- - io.vertx.rxjava.ext.asyncsql.AsyncSQLClient
  - - io.vertx.rxjava.ext.asyncsql.PostgreSQLClient

-     public class PostgreSQLClient
      extends AsyncSQLClient

  Represents an PostgreSQL client

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<PostgreSQLClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostgreSQLClient(PostgreSQLClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsyncSQLClient` | `createNonShared(Vertx vertx, JsonObject config)` Create a PostgreSQL client which maintains its own pool.
    `static AsyncSQLClient` | `createShared(Vertx vertx, JsonObject config)` Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default pool name
    `static AsyncSQLClient` | `createShared(Vertx vertx, JsonObject config, String poolName)` Create a PostgreSQL client which shares its pool with any other MySQL clients created with the same pool name.
    `PostgreSQLClient` | `getDelegate()`
    `static PostgreSQLClient` | `newInstance(PostgreSQLClient arg)`

    - ### Methods inherited from class io.vertx.rxjava.ext.asyncsql.AsyncSQLClient

      `close, close, closeObservable, getConnection, getConnectionObservable, newInstance, rxClose, rxGetConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<PostgreSQLClient> __TYPE_ARG

  - ### Constructor Detail

    - #### PostgreSQLClient

          public PostgreSQLClient(PostgreSQLClient delegate)

  - ### Method Detail

    - #### getDelegate

          public PostgreSQLClient getDelegate()

      Overrides:
        `getDelegate` in class `AsyncSQLClient`

    - #### createNonShared

          public static AsyncSQLClient createNonShared(Vertx vertx,
                                                       JsonObject config)

      Create a PostgreSQL client which maintains its own pool.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### createShared

          public static AsyncSQLClient createShared(Vertx vertx,
                                                    JsonObject config,
                                                    String poolName)

      Create a PostgreSQL client which shares its pool with any other MySQL clients created with the same pool name.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
        `poolName` - the pool name
      Returns:
        the client

    - #### createShared

          public static AsyncSQLClient createShared(Vertx vertx,
                                                    JsonObject config)

      Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default pool name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### newInstance

          public static PostgreSQLClient newInstance(PostgreSQLClient arg)

Copyright © 2017. All rights reserved.